Delete a conversion goal
curl --request DELETE \
--url https://api.orbit.devotel.io/api/v1/analytics/goals/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orbit.devotel.io/api/v1/analytics/goals/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orbit.devotel.io/api/v1/analytics/goals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "goal_7Fb2c1a7b",
"deleted": true
},
"meta": {
"request_id": "req_9f2c1a7b",
"timestamp": "2026-08-02T12:00:00.000Z"
}
}Analytics
Delete a conversion goal
Permanently deletes a conversion goal by id. Existing recorded conversions are unaffected by the delete. Requires the owner, admin or developer role. Returns 404 when the goal does not exist in the tenant.
DELETE
/
api
/
v1
/
analytics
/
goals
/
{id}
Delete a conversion goal
⌘I